- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRSplineToElement Class Reference
Inheritance diagram for libcdr::CDRSplineToElement:

## Public Member Functions
| CDRSplineToElement (const std::vector< std::pair< double, double > > &points)
| ~CDRSplineToElement ()
void | writeOut (WPXPropertyListVector &vec) const
void | transform (const CDRTransform &trafo)
CDRPathElement * | clone ()
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
std::vector< std::pair< double, double > > | m_points

## Constructor & Destructor Documentation

libcdr::CDRSplineToElement::CDRSplineToElement | ( | const std::vector< std::pair< double, double > > & | points | ) |
| inline

libcdr::CDRSplineToElement::~CDRSplineToElement | ( |  | ) |
| inline

## Member Function Documentation

libcdr::CDRPathElement * libcdr::CDRSplineToElement::clone | ( |  | ) |
| virtual

Implements libcdr::CDRPathElement.

void libcdr::CDRSplineToElement::transform | ( | const CDRTransform & | trafo | ) |
| virtual

Implements libcdr::CDRPathElement.

void libcdr::CDRSplineToElement::writeOut | ( | WPXPropertyListVector & | vec | ) | const
| virtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

std::vector<std::pair<double, double> > libcdr::CDRSplineToElement::m_points
| private

The documentation for this class was generated from the following file:

- CDRPath.cpp